# class Tk::Tile::TSpinbox

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

style(*args) click to toggle source

    # File lib/tkextlib/tile/tspinbox.rb, line 88
    def self.style(*args)
      [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
    end

### Public Instance Methods

__validation_class_list() click to toggle source
Calls superclass method TkValidation#__validation_class_list

    # File lib/tkextlib/tile/tspinbox.rb, line 67
    def __validation_class_list
      super() << SpinCommand
    end

current() click to toggle source

    # File lib/tkextlib/tile/tspinbox.rb, line 92
    def current
      number(tk_send_without_enc('current'))
    end

current=(idx) click to toggle source

    # File lib/tkextlib/tile/tspinbox.rb, line 95
    def current=(idx)
      tk_send('current', idx)
    end

set(val) click to toggle source

    # File lib/tkextlib/tile/tspinbox.rb, line 99
    def set(val)
      tk_send('set', val)
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method Tk::Tile::TEntry#__boolval_optkeys

    # File lib/tkextlib/tile/tspinbox.rb, line 73
    def __boolval_optkeys
      super() << 'wrap'
    end

__listval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__listval_optkeys

    # File lib/tkextlib/tile/tspinbox.rb, line 83
    def __listval_optkeys
      super() << 'values'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Tile::TEntry#__strval_optkeys

    # File lib/tkextlib/tile/tspinbox.rb, line 78
    def __strval_optkeys
      super() << 'buttonbackground' << 'format'
    end